Subject: Re: [PATCH] ASoC drivers for the Freescale MPC8610 SoC

From: Scott Wood <[email-masked]>
Date: Thu, 03 Jan 2008 12:54:10 -0600

Grant Likely wrote:
> On 1/3/08, Timur Tabi <[email-masked]> wrote:
>> Grant Likely wrote:
>>
>>> Why not be a child of the i2c bus with a phandle to the ssi bus?
>> Because when I probe the SSI node, I want to know what the attached codec is.
>>   So if anything, I would need a pointer from the SSI bus *to* the respective
>> child on the I2C bus.
> 
> That's fine too (it's what is done with Ethernet PHYs).  My preference
> is the other way around, but it's not a big issue in this case.

I'd just link in both directions, and let software follow it in 
whichever direction it prefers.

-Scott